Spdy protocol version 3 support

Any update or eta on when we can expect spdy protocol version 3 in the
1.5.X
branch?

Thanks.

Posted at Nginx Forum:
http://forum.nginx.org/read.php?2,245732,245732#msg-245732

On Dec 19, 2013, at 6:41 PM, “justin” [email protected] wrote:

Any update or eta on when we can expect spdy protocol version 3 in the 1.5.X
branch?

Pretty soon, stay tuned and thanks for the patience!

On Thu, Dec 19, 2013 at 06:43:37PM -0800, Andrew A. wrote:

On Dec 19, 2013, at 6:41 PM, “justin” [email protected] wrote:

Any update or eta on when we can expect spdy protocol version 3 in the 1.5.X
branch?

Pretty soon, stay tuned and thanks for the patience!

Please also consider backporting spdy/3 (or spdy/3.1) to the stable
1.4.x branch.
I am asking this because firefox and chrome will probably drop spdy/2
support
around the end of February[0], in which case stable nginx servers will
be
effectively spdy incapable.

https://groups.google.com/d/topic/spdy-dev/XDudMZSq3e4/discussion

On Friday 20 December 2013 14:36:43 Christos Trochalakis wrote:

servers will be effectively spdy incapable.

https://groups.google.com/d/topic/spdy-dev/XDudMZSq3e4/discussion

The mainline branch is also stable and reliable for production, and if
you
need new features then you should use it, that is why it exists.

Furthermore, SPDY in current mainline version is actually better and
have
less bugs, since the stable branch receives only critical fixes. So, if
you
are using SPDY I recommend update to 1.5.8 without waiting for spdy/3.

As you have probably figured out, 1.4.x will not get spdy/3 support.
There
are no reasons for backporting.

wbr, Valentin V. Bartenev

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs